[misc] optimize for size

* Tests show that it should have much impact on UFD creation speed and helps shave ~15KB with gcc 4.8.x
* Also adjust the version nano so that it matches the number of commits seen by github
* This means there is NO build 399
This commit is contained in:
Pete Batard 2014-02-01 00:03:57 +00:00
parent f424229e0f
commit 8db3a26bf7
5 changed files with 13 additions and 13 deletions

View File

@ -13,8 +13,8 @@ type -P sed &>/dev/null || { echo "sed command not found. Aborting." >&2; exit 1
type -P git &>/dev/null || { echo "git command not found. Aborting." >&2; exit 1; }
VER=`git log --oneline | wc -l`
# trim spaces
TAGVER=`echo $VER`
# adjust so that we match the github commit count
TAGVER=`expr $VER + 1`
# there may be a better way to prevent improper nano on amend. For now the detection
# of a .amend file in the current directory will do
if [ -f ./.amend ]; then

View File

@ -1,5 +1,5 @@
#!/bin/sh
rm -f rufus*.exe
./configure
./configure --disable-debug
make clean
make release

4
configure vendored
View File

@ -3522,9 +3522,9 @@ else
fi
if test "x$debug_enabled" != "xno" ; then
CFLAGS="-g -O2"
CFLAGS="-g -O0"
else
CFLAGS="-O2"
CFLAGS="-Os"
LDFLAGS="-s"
fi

View File

@ -29,9 +29,9 @@ AC_ARG_ENABLE([debug],
[debug_enabled=$enableval],
[debug_enabled='yes'])
if test "x$debug_enabled" != "xno" ; then
CFLAGS="-g -O2"
CFLAGS="-g -O0"
else
CFLAGS="-O2"
CFLAGS="-Os"
LDFLAGS="-s"
fi

View File

@ -32,7 +32,7 @@ LANGUAGE LANG_NEUTRAL, SUBLANG_NEUTRAL
IDD_DIALOG DIALOGEX 12, 12, 206, 329
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | DS_CENTER | WS_POPUP | WS_CAPTION | WS_SYSMENU
CAPTION "Rufus 1.4.4.398"
CAPTION "Rufus 1.4.4.400"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
DEFPUSHBUTTON "Start",IDC_START,94,291,50,14
@ -165,7 +165,7 @@ END
RTL_IDD_DIALOG DIALOGEX 12, 12, 206, 329
STYLE DS_SETFONT | DS_MODALFRAME | DS_FIXEDSYS | DS_CENTER | WS_POPUP | WS_CAPTION | WS_SYSMENU
EXSTYLE WS_EX_RTLREADING | WS_EX_APPWINDOW | WS_EX_LAYOUTRTL
CAPTION "Rufus 1.4.4.398"
CAPTION "Rufus 1.4.4.400"
FONT 8, "MS Shell Dlg", 400, 0, 0x1
BEGIN
DEFPUSHBUTTON "Start",IDC_START,94,291,50,14
@ -427,8 +427,8 @@ END
//
VS_VERSION_INFO VERSIONINFO
FILEVERSION 1,4,4,398
PRODUCTVERSION 1,4,4,398
FILEVERSION 1,4,4,400
PRODUCTVERSION 1,4,4,400
FILEFLAGSMASK 0x3fL
#ifdef _DEBUG
FILEFLAGS 0x1L
@ -445,13 +445,13 @@ BEGIN
BEGIN
VALUE "CompanyName", "Akeo Consulting (http://akeo.ie)"
VALUE "FileDescription", "Rufus"
VALUE "FileVersion", "1.4.4.398"
VALUE "FileVersion", "1.4.4.400"
VALUE "InternalName", "Rufus"
VALUE "LegalCopyright", "© 2011-2014 Pete Batard (GPL v3)"
VALUE "LegalTrademarks", "http://www.gnu.org/copyleft/gpl.html"
VALUE "OriginalFilename", "rufus.exe"
VALUE "ProductName", "Rufus"
VALUE "ProductVersion", "1.4.4.398"
VALUE "ProductVersion", "1.4.4.400"
END
END
BLOCK "VarFileInfo"